import { ReferendumIndex, ReferendumInfo } from '@polkadot/types/interfaces/democracy';
import { AnyJsonObject, Constructor } from '@polkadot/types/types';
import BN from 'bn.js';
declare const _ReferendumInfo: Constructor<ReferendumInfo>;
/**
 * @name ReferendumInfoExtended
 * @description
 * A [[ReferendumInfo]] with an additional `index` field
 */
export default class ReferendumInfoExtended extends _ReferendumInfo {
    private _index;
    constructor(value: ReferendumInfo | ReferendumInfoExtended, index?: BN | number);
    /**
     * @description Convenience getter, returns the referendumIndex
     */
    readonly index: ReferendumIndex;
    /**
     * @description Creates the JSON representation
     */
    toJSON(): AnyJsonObject;
}
export {};
