"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _Text = _interopRequireDefault(require("../primitive/Text"));

var _VecFixed = _interopRequireDefault(require("./VecFixed"));

// Copyright 2017-2019 @polkadot/types authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
describe('VecFixed', () => {
  describe('construction', () => {
    it('constructs via empty', () => {
      expect(new _VecFixed.default(_Text.default, 2).toHex()).toEqual('0x0000');
    });
    it('constructs via Uint8Array', () => {
      expect(new _VecFixed.default(_Text.default, 2, new Uint8Array([0x00, 0x04, 0x31])).toHex()).toEqual('0x000431');
    });
  });
  describe('utils', () => {
    let test;
    beforeEach(() => {
      test = new (_VecFixed.default.with(_Text.default, 5))(['1', '2', '3', undefined, '5']);
    });
    it('has a sane string types', () => {
      expect(test.toRawType()).toEqual('[Text;5]');
      expect(test.Type).toEqual('Text');
    });
    it('has a correct toHex', () => {
      // each entry length 1 << 2, char as hex (0x31 === `1`), one empty
      expect(test.toHex()).toEqual('0x043104320433000435');
    });
  });
});