"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  formatType: true
};
Object.defineProperty(exports, "formatType", {
  enumerable: true,
  get: function get() {
    return _formatting.formatType;
  }
});

var _util = require("@polkadot/util");

require("./injector");

var _codec = require("./codec");

Object.keys(_codec).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _codec[key];
    }
  });
});

var _index = require("./index.types");

Object.keys(_index).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _index[key];
    }
  });
});

var _formatting = require("./scripts/util/formatting");

// Copyright 2017-2019 @polkadot/types authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
// NOTE When adding any types here, we need to update the documentation links as
// well - <root>/docs/SUMMARY.md as well as ../README.md
// HACK Register our types before anything else - if just means that any use of
// createType (either here, like in derive) or in users of this app, will have
// the type available without resorting to juggling imports themselves.
//
// This was found here in api-derive (see ReferendumInfoExtended) as well in apps,
// where `createType` was used on constant definitions, but before the actual API
// has been injected (which registers the srml types).
//
// It needs resolution, but atm, no worse than having classes that are statically
// defined, so really, eating the elephant one bite at a time...
(0, _util.assertSingletonPackage)('@polkadot/types');